/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ReservacionMarcaDAO;
import com.rjconsultores.ventaboletos.entidad.ReservacionMarca;
import com.rjconsultores.ventaboletos.service.ReservacionMarcaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("reservacionMarcaService")
public class ReservacionMarcaServiceImpl implements ReservacionMarcaService {

    @Autowired
    private ReservacionMarcaDAO reservacionMarcaDAO;

    public List<ReservacionMarca> obtenerTodos() {
        return reservacionMarcaDAO.obtenerTodos();
    }

    public ReservacionMarca obtenerID(Integer id) {
        return reservacionMarcaDAO.obtenerID(id);
    }

    @Transactional
    public ReservacionMarca suscribir(ReservacionMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionMarcaDAO.suscribir(entidad);
    }

    @Transactional
    public ReservacionMarca actualizacion(ReservacionMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionMarcaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ReservacionMarca entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        reservacionMarcaDAO.actualizacion(entidad);
    }
}
